/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sidescroller;

import java.io.Serializable;

/**
 * A Bonus that can be earned in a level and is added to the high score.
 *
 * @author sam
 */
public class HighScoreBonus implements Serializable {
    private static final long serialVersionUID = 1L;

    private String name;
    private int value;

    /**
     * constructs new HighScoreBonus.
     *
     * @param name name of bonus
     * @param value value of bonus
     */
    public HighScoreBonus(String name, int value) {
        this.name = name;
        this.value = value;
    }

    /**
     * returns name of bonus.
     *
     * @return name of bonus
     */
    public String getName() {
        return name;
    }

    /**
     * returns value of bonus.
     *
     * @return value of bonus
     */
    public int getValue() {
        return value;
    }
}
