/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sidescroller.menu;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;

/**
 * An Interface for MenuActions.
 *
 * @author sam
 */
public interface MenuAction {

    /**
     * executes.
     *
     * @param gc GameContainer
     * @param sbg StateBasedGame
     * @param item AbstractMenuItem
     * @throws SlickException SlickException
     */
    void execute(GameContainer gc, StateBasedGame sbg,
            AbstractMenuItem item) throws SlickException;

    /**
     * weather or not this action is currently active.
     * If not, execute will not be performed on click/pressing enter.
     *
     * @return is active?
     */
    boolean isActivated();
}
